/**
  ******************************************************************************
  * @file    DCF77.h
  * @author  Pascal Guttmann
  * @version v1
  * @date    29 Nov 2020
  * @brief   This file contains the function prototypes and definitions for the Radio Control.
  ******************************************************************************
  */
#ifndef _DCF77_h
#define _DCF77_h


#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>

//Uncomment for Debug
///#define DCF77_DEBUG


void DCF77_setup(void);
void DCF77_setOnOff(bool on);
bool DCF77_getSuccessfullRX(void);
void ISR_DCF77_TCO();
void DCF77_setRXBlink(bool onoff);
void DCF77_CodeRoutine(void);

#ifdef __cplusplus
}
#endif

#endif /* _DCF77_h */
