/**
  ******************************************************************************
  * @file    VisualUserInterface.h
  * @author  Pascal Guttmann
  * @version v1
  * @date    08 Nov 2020
  * @brief   This file contains the function prototypes and definitions to use the LEDs and Buttons.
  ******************************************************************************
  */
#ifndef _VISUALUSERINTERFACE_h
#define _VISUALUSERINTERFACE_h


#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>

//Uncomment for Debug Output on Serial
///#define VUI_DEBUG

//LED Pins
#define VUI_SLED_R	10
#define VUI_SLED_G	6
#define VUI_SLED_B	5
#define VUI_BKLGHT	A1

//Button Pins
#define VUI_BTN_PIN      3
#define VUI_SVCBTN_PIN   A5


typedef enum {
	UnTouched,
	Pressed,
	Released,
	Hold
}VUI_ButtonState;


void VUI_setup();

bool VUI_btn_short();
bool VUI_btn_long();
VUI_ButtonState VUI_svcbtn();

void ISR_BUTTON_PRESS();

#ifdef __cplusplus
}
#endif

#endif /* _VISUALUSERINTERFACE_h */
